Retrieves detailed configuration for a specific notifier by its unique identifier
curl --request GET \
--url https://api.axiom.co/v2/notifiers/{id} \
--header 'Authorization: Bearer <token>'{
"name": "Production Slack Alerts",
"properties": {
"customWebhook": {
"body": "{\"alert\": \"{{.AlertName}}\", \"severity\": \"{{.Severity}}\", \"message\": \"{{.Message}}\"}",
"url": "https://api.custom-service.com/alerts",
"headers": {
"Content-Type": "application/json",
"X-API-Version": "1.0"
},
"secretHeaders": {
"Authorization": "Bearer {{token}}"
}
},
"discord": {
"discordChannel": "123456789012345678",
"discordToken": "Bot 123456789012345678"
},
"discordWebhook": {
"discordWebhookUrl": "https://discord.com/api/webhooks/123456789012345678/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
},
"email": {
"emails": [
"[email protected]",
"[email protected]"
]
},
"microsoftTeams": {
"microsoftTeamsUrl": "https://outlook.office.com/webhook/123456789/IncomingWebhook/..."
},
"opsgenie": {
"apiKey": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"isEU": true
},
"pagerduty": {
"routingKey": "1234567890abcdef1234567890abcdef",
"token": "u+1234567890abcdef1234567890abcdef"
},
"slack": {
"slackUrl": "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX"
},
"webhook": {
"url": "https://api.example.com/webhooks/alerts"
}
},
"createdAt": "2024-01-15T10:30:00Z",
"createdBy": "[email protected]",
"disabledUntil": "2024-03-20T15:00:00Z",
"id": "notify_slack_prod"
}The access token received from the authorization server in the OAuth 2.0 flow.
Unique identifier of the notifier (format: notify_*)
Notifier
Notifier configuration with its unique identifier
Human-readable name for the notifier
"Production Slack Alerts"
Configuration options for different notification channels. Only one channel should be configured per notifier.
Show child attributes
Configuration for custom webhook notifications with flexible headers and body template. Supports variable substitution in the body template using {{.Variable}} syntax.
Show child attributes
Template for the webhook body, supports variable substitution
"{\"alert\": \"{{.AlertName}}\", \"severity\": \"{{.Severity}}\", \"message\": \"{{.Message}}\"}"
Custom webhook endpoint URL
"https://api.custom-service.com/alerts"
Configuration for email notifications
Show child attributes
Configuration for PagerDuty integration
Timestamp when the notifier was created
"2024-01-15T10:30:00Z"
Email or ID of the user who created the notifier
ISO timestamp until which the notifier is disabled (null if enabled)
"2024-03-20T15:00:00Z"
Unique identifier for the notifier
"notify_slack_prod"
Was this page helpful?
curl --request GET \
--url https://api.axiom.co/v2/notifiers/{id} \
--header 'Authorization: Bearer <token>'{
"name": "Production Slack Alerts",
"properties": {
"customWebhook": {
"body": "{\"alert\": \"{{.AlertName}}\", \"severity\": \"{{.Severity}}\", \"message\": \"{{.Message}}\"}",
"url": "https://api.custom-service.com/alerts",
"headers": {
"Content-Type": "application/json",
"X-API-Version": "1.0"
},
"secretHeaders": {
"Authorization": "Bearer {{token}}"
}
},
"discord": {
"discordChannel": "123456789012345678",
"discordToken": "Bot 123456789012345678"
},
"discordWebhook": {
"discordWebhookUrl": "https://discord.com/api/webhooks/123456789012345678/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
},
"email": {
"emails": [
"[email protected]",
"[email protected]"
]
},
"microsoftTeams": {
"microsoftTeamsUrl": "https://outlook.office.com/webhook/123456789/IncomingWebhook/..."
},
"opsgenie": {
"apiKey": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"isEU": true
},
"pagerduty": {
"routingKey": "1234567890abcdef1234567890abcdef",
"token": "u+1234567890abcdef1234567890abcdef"
},
"slack": {
"slackUrl": "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX"
},
"webhook": {
"url": "https://api.example.com/webhooks/alerts"
}
},
"createdAt": "2024-01-15T10:30:00Z",
"createdBy": "[email protected]",
"disabledUntil": "2024-03-20T15:00:00Z",
"id": "notify_slack_prod"
}